# GET: Withdrawal

#### `GET /withdrawals/requests` <a href="#get-withdrawals-requests" id="get-withdrawals-requests"></a>

```
const getWithdrawalRequests = () => {
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'GET' + '/withdrawals/requests' + '{}'
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.get('https://api.ndax.in/withdrawals/requests', options)
}
```

> Sample Response

```
{
  "message": [
    {
      "id": 78,
      "withdrawal_account_id": 51,
      "participant_code": "ABCDEF",
      "requestor_participant_code": "ABCDEF",
      "requested_amount": "23",
      "settled_amount": "21",
      "status": "APPROVED",
      "asset": "BTC",
      "account_group": "00SCXM",
      "transaction_id": null,
      "requested_timestamp": 1554395972174,
      "gas_price": null,
      "client_withdrawal_request_id": null,
      "on_chain_status": "PENDING",
      "fee_amount": "0.003163149641603118"
    }
  ],
  "page": 1,
  "total_pages": 1
}
```

Returns an array of all withdrawal requests created by users as part of your participant.

Query parameters include:

* `participant_code` (optional) will default to the participant the API key was created for
* `page` (optional) for paginating through your list of addresses
* `status` (optional) for selecting requests with specific status `APPROVED`, `REJECTED` etc.
* `gas_price` (optional) for selecting requests with specific gas price
* `client_withdrawal_request_id` (optional) for selecting requests with specific client withdrawal request id
* `on_chain_status` (optional) for selecting on chain with specific status. You can use `CONFIRMED` or `PENDING`.
* `requested_timestamp` filters withdrawal requests based on a given timestamp in milliseconds `1593798130060` or nanoseconds `1593798130060000000` using the following params for the following filter types:
  * `[gt]` greater than a given timestamp, e.g. `requested_timestamp[gt]=1593798130060`
  * `[gte]` greater than or equal to a given timestamp, e.g. `requested_timestamp[gte]=1593798130060`
  * `[e]` equal to a given timestamp, e.g. `requested_timestamp[e]=1593798130060`
  * `[lt]` less than a given timestamp, e.g. `requested_timestamp[lt]=1593798130060`
  * `[lte]` lower than or equal to a given timestamp, e.g. `requested_timestamp[lte]=1593798130060`
  * combinations are also possible, e.g. to find a withdrawal requests between `1593798130555` and `1593798130777` you can use the next combination `requested_timestamp[gt]=1593798130555&requested_timestamp[lt]=1593798130777`

Response:

<table><thead><tr><th width="191">Parameter</th><th width="469.3333333333333">Description</th><th>Type</th></tr></thead><tbody><tr><td>id</td><td>The withdrawal request ID</td><td>number</td></tr><tr><td>client_withdrawal_request_id</td><td>A unique identifier for the withdrawal, generally produced by the Platform on which the trade was executed<br>Note: this must be unique, per platform, per 24 hour period</td><td>string</td></tr><tr><td>withdrawal_account_id</td><td>The ID of the withdrawal account the address belongs to</td><td>number</td></tr><tr><td>asset</td><td>The asset code for the request, e.g. <code>BTC</code></td><td>string</td></tr><tr><td>participant_code</td><td>The participant the request belongs to, e.g. <code>ABCDEF</code></td><td>string</td></tr><tr><td>requestor_participant_code</td><td>The participant code of the requestor, e.g. <code>ABCDEF</code></td><td>string</td></tr><tr><td>account_group</td><td>The account group the request was made against, e.g. <code>00SCXM</code> for the Seed Digital Commodities Market account group</td><td>string</td></tr><tr><td>requested_amount</td><td>The initially requested amount, e.g. <code>100.10</code></td><td>string</td></tr><tr><td>settled_amount</td><td>The settled amount. This can be less than or equal to the requested_amount, e.g. <code>99</code></td><td>string or null</td></tr><tr><td>transaction_id</td><td>The on-chain transaction id once the withdrawal has been confirmed</td><td>string or null</td></tr><tr><td>status</td><td>The current status of the withdrawal request</td><td>string</td></tr><tr><td>requested_timestamp</td><td>The timestamp for when the withdrawal request was requested</td><td>timestamp</td></tr><tr><td>gas_price</td><td>The transaction fee payable on the Ethereum network<br>If the asset is not an ERC-20 token, this field will always be null</td><td>string or null</td></tr><tr><td>on_chain_status</td><td>Indicates whether or not the crypto withdrawal has been confirmed on-chain</td><td>string or null</td></tr><tr><td>fee_amount</td><td>will return the network fee amount</td><td>string</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/deposits/get-withdrawal.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
